Bug 202079 - eclipse internal error in resource plugin - java.lang.IllegalArgumentException
eclipse internal error in resource plugin - java.lang.IllegalArgumentException
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Andrew Overholt
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-10 14:27 EDT by Tom Tromey
Modified: 2014-08-11 01:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:44:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Tromey 2006-08-10 14:27:41 EDT
I see an internal error in org.eclipse.core.resources

!ENTRY org.eclipse.core.resources 4 2 2006-08-09 22:37:36.289
!MESSAGE Problems occurred when invoking code from plug-in:
"org.eclipse.core.resources".
!STACK 0
java.lang.IllegalArgumentException: 
   at
org.eclipse.core.runtime.Assert.isLegal(org.eclipse.equinox.common_3.2.0.v20060603.jar.so)
   at
org.eclipse.core.runtime.Assert.isLegal(org.eclipse.equinox.common_3.2.0.v20060603.jar.so)
   at
org.eclipse.core.runtime.Status.setMessage(org.eclipse.equinox.common_3.2.0.v20060603.jar.so)
   at
org.eclipse.core.runtime.Status.<init>(org.eclipse.equinox.common_3.2.0.v20060603.jar.so)
   at
org.eclipse.cdt.make.core.MakeCorePlugin.log(org.eclipse.cdt.make.core_3.1.0.200607251301.jar.so)
   at
org.eclipse.cdt.make.internal.core.scannerconfig.jobs.SCJobsUtil$2.handleException(org.eclipse.cdt.make.core_3.1.0.200607251301.jar.so)
   at
org.eclipse.core.runtime.SafeRunner.handleException(org.eclipse.equinox.common_3.2.0.v20060603.jar.so)
   at
org.eclipse.core.runtime.SafeRunner.run(org.eclipse.equinox.common_3.2.0.v20060603.jar.so)
   at
org.eclipse.core.runtime.Platform.run(org.eclipse.core.runtime_3.2.0.v20060603.jar.so)
   at
org.eclipse.cdt.make.internal.core.scannerconfig.jobs.SCJobsUtil.updateScannerConfiguration(org.eclipse.cdt.make.core_3.1.0.200607251301.jar.so)
   at
org.eclipse.cdt.make.core.scannerconfig.ScannerConfigBuilder.build(org.eclipse.cdt.make.core_3.1.0.200607251301.jar.so)
   at
org.eclipse.core.internal.events.BuildManager$2.run(org.eclipse.core.resources_3.2.0.v20060603.jar.so)
   at
org.eclipse.core.runtime.SafeRunner.run(org.eclipse.equinox.common_3.2.0.v20060603.jar.so)
   at
org.eclipse.core.internal.events.BuildManager.basicBuild(org.eclipse.core.resources_3.2.0.v20060603.jar.so)
   at
org.eclipse.core.internal.events.BuildManager.basicBuild(org.eclipse.core.resources_3.2.0.v20060603.jar.so)
   at
org.eclipse.core.internal.events.BuildManager$1.run(org.eclipse.core.resources_3.2.0.v20060603.jar.so)
   at
org.eclipse.core.runtime.SafeRunner.run(org.eclipse.equinox.common_3.2.0.v20060603.jar.so)
   at
org.eclipse.core.internal.events.BuildManager.basicBuild(org.eclipse.core.resources_3.2.0.v20060603.jar.so)
   at
org.eclipse.core.internal.events.BuildManager.basicBuildLoop(org.eclipse.core.resources_3.2.0.v20060603.jar.so)
   at
org.eclipse.core.internal.events.BuildManager.build(org.eclipse.core.resources_3.2.0.v20060603.jar.so)
   at
org.eclipse.core.internal.events.AutoBuildJob.doBuild(org.eclipse.core.resources_3.2.0.v20060603.jar.so)
   at
org.eclipse.core.internal.events.AutoBuildJob.run(org.eclipse.core.resources_3.2.0.v20060603.jar.so)
   at
org.eclipse.core.internal.jobs.Worker.run(org.eclipse.core.jobs_3.2.0.v20060603.jar.so)
Comment 1 Ben Konrath 2006-10-04 00:35:28 EDT
If you could provide a test case that produces this, that would be greatly
appreciated.
Comment 2 Tom Tromey 2006-10-04 11:27:58 EDT
As I recall my test case was just starting eclipse with my
existing workspace.
I'll yum update and try again today, and see if the problem
still happens.
Comment 3 Tom Tromey 2006-10-04 18:40:40 EDT
I'm definitely still seeing this.
I also see a few other exceptions in my .log.

I'm not doing anything special -- just updating & rebuilding classpath.
Comment 4 Ben Konrath 2006-10-04 21:40:49 EDT
Ok, that's good enough to start from, thanks. 
Comment 5 Andrew Overholt 2007-03-22 15:10:12 EDT
Moving to devel.
Comment 6 Ben Konrath 2007-03-22 22:04:38 EDT
Andrew, are you seeing this in rawhide?
Comment 7 Andrew Overholt 2007-03-29 15:20:26 EDT
Unfortunately, I don't have a classpath workspace set up here.

Tom:  do you a rawhide box you can try this with to see if you can still reproduce?
Comment 8 Bug Zapper 2008-04-03 13:56:23 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 9 Bug Zapper 2008-05-06 20:44:16 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.